GNU bug report logs - #13649
boobytrapped dired-do-async-shell-command question

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: minor; Reported by: jidanni@HIDDEN; dated Thu, 7 Feb 2013 16:28:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 13649 <at> debbugs.gnu.org:


Received: (at 13649) by debbugs.gnu.org; 11 Feb 2013 09:42:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Feb 11 04:42:09 2013
Received: from localhost ([127.0.0.1]:49850 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1U4pto-0000xs-RS
	for submit <at> debbugs.gnu.org; Mon, 11 Feb 2013 04:42:09 -0500
Received: from ps18281.dreamhost.com ([69.163.218.105]:36322
	helo=ps18281.dreamhostps.com)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <juri@HIDDEN>) id 1U4ptm-0000xe-L9
	for 13649 <at> debbugs.gnu.org; Mon, 11 Feb 2013 04:42:07 -0500
Received: from localhost (ps18281.dreamhostps.com [69.163.218.105])
	by ps18281.dreamhostps.com (Postfix) with ESMTP id 5452D20199072F;
	Mon, 11 Feb 2013 01:41:45 -0800 (PST)
From: Juri Linkov <juri@HIDDEN>
To: jidanni@HIDDEN
Subject: Re: bug#13649: boobytrapped dired-do-async-shell-command question
Organization: JURTA
References: <871ucokxcx.fsf@HIDDEN> <87zjzcqjbr.fsf@HIDDEN>
Date: Mon, 11 Feb 2013 11:18:30 +0200
In-Reply-To: <87zjzcqjbr.fsf@HIDDEN> (jidanni@HIDDEN's message of
	"Sun, 10 Feb 2013 23:28:40 +0800")
Message-ID: <871ucnb449.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.8 (/)
X-Debbugs-Envelope-To: 13649
Cc: 13649 <at> debbugs.gnu.org, monnier@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -0.5 (/)

>>>>>> "JL" == Juri Linkov <juri@HIDDEN> writes:
> JL> To see what was run in the buffer name is possible with `M-x list-processes'.
> But ah ha ha ... only if the process is still running!

The async process buffer could have a header/footer like in compilation:

-*- mode: shell; default-directory: "~/" -*-
Async Shell Command started at Mon Feb 11 11:15:45

command line
output
output
output

Async Shell Command finished at Mon Feb 11 11:15:48




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#13649; Package emacs. Full text available.

Message received at 13649 <at> debbugs.gnu.org:


Received: (at 13649) by debbugs.gnu.org; 10 Feb 2013 16:20:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Feb 10 11:20:19 2013
Received: from localhost ([127.0.0.1]:49206 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1U4Zda-0006Pm-1G
	for submit <at> debbugs.gnu.org; Sun, 10 Feb 2013 11:20:18 -0500
Received: from ironport2-out.teksavvy.com ([206.248.154.182]:62977)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <monnier@HIDDEN>) id 1U4ZdX-0006Pf-DO
	for 13649 <at> debbugs.gnu.org; Sun, 10 Feb 2013 11:20:15 -0500
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: Av4EABK/CFFFpZnt/2dsb2JhbABEvw4Xc4IeAQEEAVYjEAs0EhQYDSSIHgbBLZEKA4hhnBmBXoMV
X-IPAS-Result: Av4EABK/CFFFpZnt/2dsb2JhbABEvw4Xc4IeAQEEAVYjEAs0EhQYDSSIHgbBLZEKA4hhnBmBXoMV
X-IronPort-AV: E=Sophos;i="4.84,565,1355115600"; 
   d="scan'208";a="913780"
Received: from 69-165-153-237.dsl.teksavvy.com (HELO pastel.home)
	([69.165.153.237])
	by ironport2-out.teksavvy.com with ESMTP/TLS/ADH-AES256-SHA;
	10 Feb 2013 11:19:59 -0500
Received: by pastel.home (Postfix, from userid 20848)
	id 2D47059409; Sun, 10 Feb 2013 11:19:59 -0500 (EST)
From: Stefan Monnier <monnier@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
Subject: Re: bug#13649: boobytrapped dired-do-async-shell-command question
Message-ID: <jwvd2w816si.fsf-monnier+emacs@HIDDEN>
References: <871ucsjdl1.fsf@HIDDEN> <87liazyzz6.fsf@HIDDEN>
	<jwvmwvealkx.fsf-monnier+emacs@HIDDEN>
	<87sj569u4m.fsf@HIDDEN>
	<jwvhalm5kdv.fsf-monnier+emacs@HIDDEN>
	<87zjzcmqkb.fsf@HIDDEN>
Date: Sun, 10 Feb 2013 11:19:58 -0500
In-Reply-To: <87zjzcmqkb.fsf@HIDDEN> (Juri Linkov's message of "Sun,
	10 Feb 2013 12:10:56 +0200")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 13649
Cc: 13649 <at> debbugs.gnu.org, jidanni@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.9 (-)

>> BTW, one more useful option would be "run it when the current command
>> finishes".
> IIUC, this will require adding a queue of postponed commands,

You could just add-function on the process-sentinel.
But as pointed out elsewhere, another option is to actually let both
processes run in the same buffer.


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#13649; Package emacs. Full text available.

Message received at 13649 <at> debbugs.gnu.org:


Received: (at 13649) by debbugs.gnu.org; 10 Feb 2013 15:29:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Feb 10 10:29:04 2013
Received: from localhost ([127.0.0.1]:49153 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1U4Ypy-000539-2f
	for submit <at> debbugs.gnu.org; Sun, 10 Feb 2013 10:29:03 -0500
Received: from caiajhbdcagg.dreamhost.com ([208.97.132.66]:35347
	helo=homiemail-a7.g.dreamhost.com)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <jidanni@HIDDEN>) id 1U4Ypv-00052i-4p
	for 13649 <at> debbugs.gnu.org; Sun, 10 Feb 2013 10:29:00 -0500
Received: from homiemail-a7.g.dreamhost.com (localhost [127.0.0.1])
	by homiemail-a7.g.dreamhost.com (Postfix) with ESMTP id 4A19C25C063;
	Sun, 10 Feb 2013 07:28:43 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed; d=jidanni.org; h=from:to:cc
	:subject:references:date:message-id:mime-version:content-type;
	s=jidanni.org; bh=c2IUf5qpdbvScYZDnIYUxaZkWxg=; b=KPVFipOtdbrTL
	ppHy4A1M5i0HI/euOc0ggrQYBOKQPf9iqS+tKn9r0OnoQOB/uTArHmPSLQroZiHQ
	q8sIEUd/er7DwHnsEq9w6LTcYCWynlv1xbhJZhe8LwIZ4j0GAwLKT9Wf9sfem4xm
	VnGj/bpf4hgVCK5dQ3nCJSnerjW5hg=
Received: from jidanni.org (111-246-102-114.dynamic.hinet.net
	[111.246.102.114])
	(using TLSv1 with cipher DHE-RSA-AES128-SHA (128/128 bits))
	(No client certificate requested)
	(Authenticated sender: jidanni@HIDDEN)
	by homiemail-a7.g.dreamhost.com (Postfix) with ESMTPSA id 00F8D25C062; 
	Sun, 10 Feb 2013 07:28:42 -0800 (PST)
From: jidanni@HIDDEN
To: juri@HIDDEN
Subject: Re: bug#13649: boobytrapped dired-do-async-shell-command question
References: <871ucokxcx.fsf@HIDDEN>
Date: Sun, 10 Feb 2013 23:28:40 +0800
Message-ID: <87zjzcqjbr.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.8 (/)
X-Debbugs-Envelope-To: 13649
Cc: 13649 <at> debbugs.gnu.org, monnier@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -0.5 (/)

>>>>> "JL" == Juri Linkov <juri@HIDDEN> writes:
JL> To see what was run in the buffer name is possible with `M-x list-processes'.
But ah ha ha ... only if the process is still running!





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#13649; Package emacs. Full text available.

Message received at 13649 <at> debbugs.gnu.org:


Received: (at 13649) by debbugs.gnu.org; 10 Feb 2013 15:25:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Feb 10 10:25:47 2013
Received: from localhost ([127.0.0.1]:49142 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1U4Ymp-0004xz-1T
	for submit <at> debbugs.gnu.org; Sun, 10 Feb 2013 10:25:47 -0500
Received: from ps18281.dreamhost.com ([69.163.218.105]:58394
	helo=ps18281.dreamhostps.com)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <juri@HIDDEN>) id 1U4Yml-0004xi-FM
	for 13649 <at> debbugs.gnu.org; Sun, 10 Feb 2013 10:25:44 -0500
Received: from localhost (ps18281.dreamhostps.com [69.163.218.105])
	by ps18281.dreamhostps.com (Postfix) with ESMTP id C6557201A3F736;
	Sun, 10 Feb 2013 07:25:26 -0800 (PST)
From: Juri Linkov <juri@HIDDEN>
To: jidanni@HIDDEN
Subject: Re: bug#13649: boobytrapped dired-do-async-shell-command question
Organization: JURTA
References: <87k3qgl1hw.fsf@HIDDEN> <87d2w8s119.fsf@HIDDEN>
Date: Sun, 10 Feb 2013 17:22:05 +0200
In-Reply-To: <87d2w8s119.fsf@HIDDEN> (jidanni@HIDDEN's message of
	"Sun, 10 Feb 2013 22:20:50 +0800")
Message-ID: <871ucokxcx.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.8 (/)
X-Debbugs-Envelope-To: 13649
Cc: 13649 <at> debbugs.gnu.org, monnier@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -0.0 (/)

> JL> You can customize `async-shell-command-buffer' to `new-buffer'
> Ahhh! If only I ever knew! OK.
>
> But I see if just adds a <2>, it really should also give a hint about
> what was run in the buffer name.

To see what was run in the buffer name is possible with `M-x list-processes'.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#13649; Package emacs. Full text available.

Message received at 13649 <at> debbugs.gnu.org:


Received: (at 13649) by debbugs.gnu.org; 10 Feb 2013 14:21:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Feb 10 09:21:13 2013
Received: from localhost ([127.0.0.1]:48438 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1U4XmJ-0003Mx-KF
	for submit <at> debbugs.gnu.org; Sun, 10 Feb 2013 09:21:13 -0500
Received: from caiajhbdcbhh.dreamhost.com ([208.97.132.177]:36970
	helo=homiemail-a62.g.dreamhost.com)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <jidanni@HIDDEN>) id 1U4XmG-0003Mp-E3
	for 13649 <at> debbugs.gnu.org; Sun, 10 Feb 2013 09:21:09 -0500
Received: from homiemail-a62.g.dreamhost.com (localhost [127.0.0.1])
	by homiemail-a62.g.dreamhost.com (Postfix) with ESMTP id B32BB63406E;
	Sun, 10 Feb 2013 06:20:52 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed; d=jidanni.org; h=from:to:cc
	:subject:references:date:message-id:mime-version:content-type;
	s=jidanni.org; bh=pE3qtcVuRdbC6DEQ+uMYtkxWBKw=; b=hz2bodQZnt8m/
	tN4hlNgpPtVkv3F1a9mrQ37AHMuVOVE/LLRaru7q4AWHiL/BgGit8jNLSWJe9pgE
	EXb1VrpmalB4qF5W53j4smkKziR3tYFsfMO5MqcKnWq+3z50tSv480xvDwMV3aXW
	Gu8DEcN8DstYDbbvb4DKKXFhE0GX0M=
Received: from jidanni.org (111-246-102-114.dynamic.hinet.net
	[111.246.102.114])
	(using TLSv1 with cipher DHE-RSA-AES128-SHA (128/128 bits))
	(No client certificate requested)
	(Authenticated sender: jidanni@HIDDEN)
	by homiemail-a62.g.dreamhost.com (Postfix) with ESMTPSA id 5EE3A63406C; 
	Sun, 10 Feb 2013 06:20:52 -0800 (PST)
From: jidanni@HIDDEN
To: juri@HIDDEN
Subject: Re: bug#13649: boobytrapped dired-do-async-shell-command question
References: <87k3qgl1hw.fsf@HIDDEN>
Date: Sun, 10 Feb 2013 22:20:50 +0800
Message-ID: <87d2w8s119.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.8 (/)
X-Debbugs-Envelope-To: 13649
Cc: 13649 <at> debbugs.gnu.org, monnier@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: 0.0 (/)

JL> You can customize `async-shell-command-buffer' to `new-buffer'
Ahhh! If only I ever knew! OK.

But I see if just adds a <2>, it really should also give a hint about
what was run in the buffer name.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#13649; Package emacs. Full text available.

Message received at 13649 <at> debbugs.gnu.org:


Received: (at 13649) by debbugs.gnu.org; 10 Feb 2013 13:54:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Feb 10 08:54:34 2013
Received: from localhost ([127.0.0.1]:48383 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1U4XMX-0002kB-Sr
	for submit <at> debbugs.gnu.org; Sun, 10 Feb 2013 08:54:34 -0500
Received: from ps18281.dreamhost.com ([69.163.218.105]:44394
	helo=ps18281.dreamhostps.com)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <juri@HIDDEN>) id 1U4XMU-0002k3-Fu
	for 13649 <at> debbugs.gnu.org; Sun, 10 Feb 2013 08:54:31 -0500
Received: from localhost (ps18281.dreamhostps.com [69.163.218.105])
	by ps18281.dreamhostps.com (Postfix) with ESMTP id 25249258B92971;
	Sun, 10 Feb 2013 05:54:13 -0800 (PST)
From: Juri Linkov <juri@HIDDEN>
To: jidanni@HIDDEN
Subject: Re: bug#13649: boobytrapped dired-do-async-shell-command question
Organization: JURTA
References: <87zjzcmqkb.fsf@HIDDEN> <87halks3r3.fsf@HIDDEN>
Date: Sun, 10 Feb 2013 15:52:43 +0200
In-Reply-To: <87halks3r3.fsf@HIDDEN> (jidanni@HIDDEN's message of
	"Sun, 10 Feb 2013 21:22:08 +0800")
Message-ID: <87k3qgl1hw.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.8 (/)
X-Debbugs-Envelope-To: 13649
Cc: 13649 <at> debbugs.gnu.org, monnier@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -0.0 (/)

> You guys are forgetting what the user really wants in the first place.
> All he wants to do is do another
> $ some_command &
> as in the shell.
> He is used to doing lots of these without regard if the previous one has
> finished yet or not... else what fun would asynchronous be?
>
> Therefore the wisest thing would be to automatically create
> *Async Output of bla gla* (or no word Async)
> *Async Output of moo goo*
> *Async Output of bla gla<2>*
> for him, without bothering him with questions.

You can customize `async-shell-command-buffer' to `new-buffer'
(labeled "Create a new buffer") that creates new buffers
automatically without questions.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#13649; Package emacs. Full text available.

Message received at 13649 <at> debbugs.gnu.org:


Received: (at 13649) by debbugs.gnu.org; 10 Feb 2013 13:22:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Feb 10 08:22:29 2013
Received: from localhost ([127.0.0.1]:48342 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1U4WrU-0001yf-OG
	for submit <at> debbugs.gnu.org; Sun, 10 Feb 2013 08:22:29 -0500
Received: from caiajhbdcbef.dreamhost.com ([208.97.132.145]:50207
	helo=homiemail-a37.g.dreamhost.com)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <jidanni@HIDDEN>) id 1U4WrS-0001yY-Ir
	for 13649 <at> debbugs.gnu.org; Sun, 10 Feb 2013 08:22:27 -0500
Received: from homiemail-a37.g.dreamhost.com (localhost [127.0.0.1])
	by homiemail-a37.g.dreamhost.com (Postfix) with ESMTP id 43E3B20806B;
	Sun, 10 Feb 2013 05:22:11 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed; d=jidanni.org; h=from:to:cc
	:subject:references:date:message-id:mime-version:content-type;
	s=jidanni.org; bh=oa/1CUe3MLI7h6W1hEF4oGrr5lE=; b=B/zy2ZHGgS0Ui
	hPvLlKTBeJDCQ97QdYnRKwWt4HGnLJ+LA8WKzJKj4GJkLSB2/Glr4VoRki0Wb939
	SYbjNRsf+xkYj2a/Mull5MpU+HVzU9bT4gFFEhtwX/eeHgKYe28ILnXGLpTU3CLj
	w8zcAkXjfDeDM/cUaJG2sUEXtMYOp0=
Received: from jidanni.org (111-246-102-114.dynamic.hinet.net
	[111.246.102.114])
	(using TLSv1 with cipher DHE-RSA-AES128-SHA (128/128 bits))
	(No client certificate requested)
	(Authenticated sender: jidanni@HIDDEN)
	by homiemail-a37.g.dreamhost.com (Postfix) with ESMTPSA id EAE68208069; 
	Sun, 10 Feb 2013 05:22:10 -0800 (PST)
From: jidanni@HIDDEN
To: juri@HIDDEN
Subject: Re: bug#13649: boobytrapped dired-do-async-shell-command question
References: <87zjzcmqkb.fsf@HIDDEN>
Date: Sun, 10 Feb 2013 21:22:08 +0800
Message-ID: <87halks3r3.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.8 (/)
X-Debbugs-Envelope-To: 13649
Cc: 13649 <at> debbugs.gnu.org, monnier@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -0.5 (/)

You guys are forgetting what the user really wants in the first place.
All he wants to do is do another
$ some_command &
as in the shell.
He is used to doing lots of these without regard if the previous one has
finished yet or not... else what fun would asynchronous be?

Therefore the wisest thing would be to automatically create
*Async Output of bla gla* (or no word Async)
*Async Output of moo goo*
*Async Output of bla gla<2>*
for him, without bothering him with questions.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#13649; Package emacs. Full text available.

Message received at 13649 <at> debbugs.gnu.org:


Received: (at 13649) by debbugs.gnu.org; 10 Feb 2013 10:12:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Feb 10 05:12:55 2013
Received: from localhost ([127.0.0.1]:48095 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1U4Tu3-0004OX-3Z
	for submit <at> debbugs.gnu.org; Sun, 10 Feb 2013 05:12:55 -0500
Received: from ps18281.dreamhost.com ([69.163.218.105]:39681
	helo=ps18281.dreamhostps.com)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <juri@HIDDEN>) id 1U4Tu1-0004OP-Nc
	for 13649 <at> debbugs.gnu.org; Sun, 10 Feb 2013 05:12:54 -0500
Received: from localhost (ps18281.dreamhostps.com [69.163.218.105])
	by ps18281.dreamhostps.com (Postfix) with ESMTP id A39EA2019C3011;
	Sun, 10 Feb 2013 02:12:38 -0800 (PST)
From: Juri Linkov <juri@HIDDEN>
To: Stefan Monnier <monnier@HIDDEN>
Subject: Re: bug#13649: boobytrapped dired-do-async-shell-command question
Organization: JURTA
References: <871ucsjdl1.fsf@HIDDEN> <87liazyzz6.fsf@HIDDEN>
	<jwvmwvealkx.fsf-monnier+emacs@HIDDEN>
	<87sj569u4m.fsf@HIDDEN>
	<jwvhalm5kdv.fsf-monnier+emacs@HIDDEN>
Date: Sun, 10 Feb 2013 12:10:56 +0200
In-Reply-To: <jwvhalm5kdv.fsf-monnier+emacs@HIDDEN> (Stefan Monnier's message
	of "Fri, 08 Feb 2013 20:47:36 -0500")
Message-ID: <87zjzcmqkb.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.8 (/)
X-Debbugs-Envelope-To: 13649
Cc: 13649 <at> debbugs.gnu.org, jidanni@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -0.0 (/)

>>   A command is running in the default buffer.  What to do? (k/c/r/h)

Or rather to model the prompt after `save-some-buffers-action-alist'
that asks "Save file? (y, n, !, ., q, C-r, d or C-h)" and ask:

  A command is running.  Kill it? (y, n, c, r, or C-h)

where the key `y' would mean to kill the running process, `c' - create
a new buffer, `r' - rename the buffer with the running process, and
`C-h' - help with the explanation of these options including `C-g':

  C-g to quit (cancel the whole command);

> BTW, one more useful option would be "run it when the current command
> finishes".

IIUC, this will require adding a queue of postponed commands, and also UI
to handle them (e.g. to remove a submitted command from the queue, etc.)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#13649; Package emacs. Full text available.

Message received at 13649 <at> debbugs.gnu.org:


Received: (at 13649) by debbugs.gnu.org; 9 Feb 2013 08:34:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Feb 09 03:34:05 2013
Received: from localhost ([127.0.0.1]:45528 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1U45sp-0005SF-LM
	for submit <at> debbugs.gnu.org; Sat, 09 Feb 2013 03:34:05 -0500
Received: from mtaout23.012.net.il ([80.179.55.175]:36040)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <eliz@HIDDEN>) id 1U45sm-0005Rm-Nw
	for 13649 <at> debbugs.gnu.org; Sat, 09 Feb 2013 03:34:02 -0500
Received: from conversion-daemon.a-mtaout23.012.net.il by
	a-mtaout23.012.net.il (HyperSendmail v2007.08) id
	<0MHY00F002A2SX00@HIDDEN> for
	13649 <at> debbugs.gnu.org; Sat, 09 Feb 2013 10:33:50 +0200 (IST)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout23.012.net.il
	(HyperSendmail v2007.08) with ESMTPA id
	<0MHY00FLK2GEOO70@HIDDEN>;
	Sat, 09 Feb 2013 10:33:50 +0200 (IST)
Date: Sat, 09 Feb 2013 10:33:52 +0200
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#13649: boobytrapped dired-do-async-shell-command question
In-reply-to: <878v6ycnv0.fsf@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Juri Linkov <juri@HIDDEN>
Message-id: <83vca17uof.fsf@HIDDEN>
References: <871ucsjdl1.fsf@HIDDEN> <87liazyzz6.fsf@HIDDEN>
	<83a9re9azb.fsf@HIDDEN> <878v6ycnv0.fsf@HIDDEN>
X-Spam-Score: 1.5 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
	has
	identified this incoming email as possible spam. The original message
	has been attached to this so you can view it (if it isn't spam) or
	label similar future email.  If you have any questions, see
	the administrator of that system for details.
	Content preview:  > > Shell output buffer is used by another command;
	run this
	command in a new buffer (yes or no)? > > I'd rather make the prompt
	short
	and add a "help" option > (e.g. "yes/no/help" or "y/n/h") that will
	display
	the full > explanation of all options with a link to their
	customization. [...] 
	Content analysis details:   (1.5 points, 10.0 required)
	pts rule name              description
	---- ----------------------
	--------------------------------------------------
	-0.0 RCVD_IN_DNSWL_NONE RBL: Sender listed at http://www.dnswl.org/,
	no trust [80.179.55.175 listed in list.dnswl.org]
	0.7 SPF_SOFTFAIL SPF: sender does not match SPF record (softfail)
	0.8 BAYES_50               BODY: Bayes spam probability is 40 to 60%
	[score: 0.5000]
X-Debbugs-Envelope-To: 13649
Cc: 13649 <at> debbugs.gnu.org, jidanni@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: 1.5 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org", has
 identified this incoming email as possible spam.  The original message
 has been attached to this so you can view it (if it isn't spam) or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  > > Shell output buffer is used by another command; run this
    command in a new buffer (yes or no)? > > I'd rather make the prompt short
    and add a "help" option > (e.g. "yes/no/help" or "y/n/h") that will display
    the full > explanation of all options with a link to their customization.
    [...] 
 
 Content analysis details:   (1.5 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at http://www.dnswl.org/, no
                             trust
                             [80.179.55.175 listed in list.dnswl.org]
  0.7 SPF_SOFTFAIL           SPF: sender does not match SPF record (softfail)
  0.8 BAYES_50               BODY: Bayes spam probability is 40 to 60%
                             [score: 0.4579]

> >   Shell output buffer is used by another command; run this command in a new buffer (yes or no)?
> 
> I'd rather make the prompt short and add a "help" option
> (e.g. "yes/no/help" or "y/n/h") that will display the full
> explanation of all options with a link to their customization.

That's a wrong way to treat this kind of problems, in my experience.
People need clear description of the problem because they more often
than not are nervous to be bugged with a question to begin with; the
assumption they will want to look up some help is false.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#13649; Package emacs. Full text available.

Message received at 13649 <at> debbugs.gnu.org:


Received: (at 13649) by debbugs.gnu.org; 9 Feb 2013 03:36:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 08 22:36:52 2013
Received: from localhost ([127.0.0.1]:45166 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1U41FE-00064z-F7
	for submit <at> debbugs.gnu.org; Fri, 08 Feb 2013 22:36:52 -0500
Received: from caiajhbdcaib.dreamhost.com ([208.97.132.81]:38433
	helo=homiemail-a62.g.dreamhost.com)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <jidanni@HIDDEN>) id 1U41FC-00064s-8Y
	for 13649 <at> debbugs.gnu.org; Fri, 08 Feb 2013 22:36:51 -0500
Received: from homiemail-a62.g.dreamhost.com (localhost [127.0.0.1])
	by homiemail-a62.g.dreamhost.com (Postfix) with ESMTP id 0C1B4634075;
	Fri,  8 Feb 2013 19:36:43 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed; d=jidanni.org; h=from:to:cc
	:subject:references:date:message-id:mime-version:content-type;
	s=jidanni.org; bh=c7Eybg8sTDG9Rl21GDqTrXJ7yb0=; b=WV+derT8dt2Zg
	qDNN61yo/KsMBdTQ2L1RRKpSjfOdIZ6+rWuT3JCWSvpHkO4/fW2IDzlhABLGdeoe
	UE9VHQPBfRX/TqbHv1YI8VngnaVbqtx2e38yV0Gg3mg4pgy8tyk6bDUKCXdIs0CN
	eaD4F2O5PC+sJaVndGNrprwPCmZguk=
Received: from jidanni.org (114-26-45-159.dynamic.hinet.net [114.26.45.159])
	(using TLSv1 with cipher DHE-RSA-AES128-SHA (128/128 bits))
	(No client certificate requested)
	(Authenticated sender: jidanni@HIDDEN)
	by homiemail-a62.g.dreamhost.com (Postfix) with ESMTPSA id BCCEE634073; 
	Fri,  8 Feb 2013 19:36:42 -0800 (PST)
From: jidanni@HIDDEN
To: monnier@HIDDEN
Subject: Re: bug#13649: boobytrapped dired-do-async-shell-command question
References: <jwvmwvealkx.fsf-monnier+emacs@HIDDEN>
Date: Sat, 09 Feb 2013 11:36:37 +0800
Message-ID: <876222f9a2.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.8 (/)
X-Debbugs-Envelope-To: 13649
Cc: juri@HIDDEN, 13649 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: 0.0 (/)

>>>>> "SM" == Stefan Monnier <monnier@HIDDEN> writes:
SM>   A command is running in the default buffer.  Kill it or use a new buffer?

SM> with C-g being the answer for "don't use a new buffer and don't kill it".
OK but mention that third C-g option there too.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#13649; Package emacs. Full text available.

Message received at 13649 <at> debbugs.gnu.org:


Received: (at 13649) by debbugs.gnu.org; 9 Feb 2013 01:47:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 08 20:47:48 2013
Received: from localhost ([127.0.0.1]:45026 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1U3zXf-0003RT-VM
	for submit <at> debbugs.gnu.org; Fri, 08 Feb 2013 20:47:48 -0500
Received: from ironport2-out.teksavvy.com ([206.248.154.182]:15931)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <monnier@HIDDEN>) id 1U3zXe-0003RJ-6K
	for 13649 <at> debbugs.gnu.org; Fri, 08 Feb 2013 20:47:46 -0500
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: Av4EABK/CFFFpZnt/2dsb2JhbABEvw4Xc4IeAQEEAVYjBQsLNBIUGA0kiB4GwS2RCgOIYZwZgV6DFQ
X-IPAS-Result: Av4EABK/CFFFpZnt/2dsb2JhbABEvw4Xc4IeAQEEAVYjBQsLNBIUGA0kiB4GwS2RCgOIYZwZgV6DFQ
X-IronPort-AV: E=Sophos;i="4.84,565,1355115600"; 
   d="scan'208";a="837219"
Received: from 69-165-153-237.dsl.teksavvy.com (HELO pastel.home)
	([69.165.153.237])
	by ironport2-out.teksavvy.com with ESMTP/TLS/ADH-AES256-SHA;
	08 Feb 2013 20:47:38 -0500
Received: by pastel.home (Postfix, from userid 20848)
	id 2ADB45919F; Fri,  8 Feb 2013 20:47:36 -0500 (EST)
From: Stefan Monnier <monnier@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
Subject: Re: bug#13649: boobytrapped dired-do-async-shell-command question
Message-ID: <jwvhalm5kdv.fsf-monnier+emacs@HIDDEN>
References: <871ucsjdl1.fsf@HIDDEN> <87liazyzz6.fsf@HIDDEN>
	<jwvmwvealkx.fsf-monnier+emacs@HIDDEN>
	<87sj569u4m.fsf@HIDDEN>
Date: Fri, 08 Feb 2013 20:47:36 -0500
In-Reply-To: <87sj569u4m.fsf@HIDDEN> (Juri Linkov's message of "Sat,
	09 Feb 2013 02:49:02 +0200")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 13649
Cc: 13649 <at> debbugs.gnu.org, jidanni@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.9 (-)

>   A command is running in the default buffer.  What to do? (k/c/r/h)

> where the key `k' would mean to kill the running process, `c' - create
> a new buffer, `r' - rename the buffer with the running process, and
> `h' - help with the explanation of these options.

BTW, one more useful option would be "run it when the current command
finishes".


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#13649; Package emacs. Full text available.

Message received at 13649 <at> debbugs.gnu.org:


Received: (at 13649) by debbugs.gnu.org; 9 Feb 2013 01:09:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 08 20:09:18 2013
Received: from localhost ([127.0.0.1]:45015 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1U3ywP-0002Ue-0a
	for submit <at> debbugs.gnu.org; Fri, 08 Feb 2013 20:09:17 -0500
Received: from ps18281.dreamhost.com ([69.163.218.105]:40930
	helo=ps18281.dreamhostps.com)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <juri@HIDDEN>) id 1U3ywK-0002UK-Lp
	for 13649 <at> debbugs.gnu.org; Fri, 08 Feb 2013 20:09:13 -0500
Received: from localhost (ps18281.dreamhostps.com [69.163.218.105])
	by ps18281.dreamhostps.com (Postfix) with ESMTP id 9FBDC201D3F81D;
	Fri,  8 Feb 2013 17:09:05 -0800 (PST)
From: Juri Linkov <juri@HIDDEN>
To: Stefan Monnier <monnier@HIDDEN>
Subject: Re: bug#13649: boobytrapped dired-do-async-shell-command question
Organization: JURTA
References: <871ucsjdl1.fsf@HIDDEN> <87liazyzz6.fsf@HIDDEN>
	<jwvmwvealkx.fsf-monnier+emacs@HIDDEN>
Date: Sat, 09 Feb 2013 02:49:02 +0200
In-Reply-To: <jwvmwvealkx.fsf-monnier+emacs@HIDDEN> (Stefan Monnier's message
	of "Fri, 08 Feb 2013 10:11:38 -0500")
Message-ID: <87sj569u4m.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.8 (/)
X-Debbugs-Envelope-To: 13649
Cc: 13649 <at> debbugs.gnu.org, jidanni@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: 0.8 (/)

>>> A command is running in the default buffer.  Use a new buffer? (yes or no)
>>> Which is a boobytrapped question, as picking "no" will always end up
>>> in failure...
>> Ah, to you "no" means "don't use a new buffer"?  Yes, this is too ambiguous.
>> A better question would be:
>
>>   A command is running in the default buffer.  Run in a new buffer?
>>     (yes or no)
>
> I think it's got the same problem.  I think the question should be more
> something like:
>
>   A command is running in the default buffer.  Kill it or use a new buffer?
>
> with C-g being the answer for "don't use a new buffer and don't kill it".

Alas, this means there is no more "yes/no" question.  Of course,
it could be split to two "yes/no" questions like `find-alternate-file'
used to do until the recent changes that now asks only one question
(yes-or-no-p "Kill and replace the buffer without saving it? ")
I see no way to do the same for the async-shell-command default question.

There is a separate option in `async-shell-command' that asks that question
"A command is running in the default buffer.  Kill it? ".  If is also
possible to combine all other options into one question like:

  A command is running in the default buffer.  What to do? (k/c/r/h)

where the key `k' would mean to kill the running process, `c' - create
a new buffer, `r' - rename the buffer with the running process, and
`h' - help with the explanation of these options.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#13649; Package emacs. Full text available.

Message received at 13649 <at> debbugs.gnu.org:


Received: (at 13649) by debbugs.gnu.org; 9 Feb 2013 01:09:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 08 20:09:15 2013
Received: from localhost ([127.0.0.1]:45013 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1U3ywM-0002UV-39
	for submit <at> debbugs.gnu.org; Fri, 08 Feb 2013 20:09:14 -0500
Received: from ps18281.dreamhost.com ([69.163.218.105]:40901
	helo=ps18281.dreamhostps.com)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <juri@HIDDEN>) id 1U3ywJ-0002UH-7A
	for 13649 <at> debbugs.gnu.org; Fri, 08 Feb 2013 20:09:12 -0500
Received: from localhost (ps18281.dreamhostps.com [69.163.218.105])
	by ps18281.dreamhostps.com (Postfix) with ESMTP id 60F16201D3F820;
	Fri,  8 Feb 2013 17:09:03 -0800 (PST)
From: Juri Linkov <juri@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#13649: boobytrapped dired-do-async-shell-command question
Organization: JURTA
References: <871ucsjdl1.fsf@HIDDEN> <87liazyzz6.fsf@HIDDEN>
	<83a9re9azb.fsf@HIDDEN>
Date: Sat, 09 Feb 2013 02:46:17 +0200
In-Reply-To: <83a9re9azb.fsf@HIDDEN> (Eli Zaretskii's message of "Fri, 08 Feb
	2013 15:44:08 +0200")
Message-ID: <878v6ycnv0.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.8 (/)
X-Debbugs-Envelope-To: 13649
Cc: 13649 <at> debbugs.gnu.org, jidanni@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: 0.8 (/)

>> > A command is running in the default buffer.  Use a new buffer? (yes or no)
>> >
>> > Which is a boobytrapped question, as picking "no" will always end up in failure...
>>
>> Ah, to you "no" means "don't use a new buffer"?  Yes, this is too ambiguous.
>> A better question would be:
>>
>>   A command is running in the default buffer.  Run in a new buffer? (yes or no)
>
> Still not clear, IMO (what "default buffer"? run what?).  How about
>
>   Shell output buffer is used by another command; run this command in a new buffer (yes or no)?

I'd rather make the prompt short and add a "help" option
(e.g. "yes/no/help" or "y/n/h") that will display the full
explanation of all options with a link to their customization.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#13649; Package emacs. Full text available.

Message received at 13649 <at> debbugs.gnu.org:


Received: (at 13649) by debbugs.gnu.org; 8 Feb 2013 17:07:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 08 12:07:38 2013
Received: from localhost ([127.0.0.1]:44510 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1U3rQH-0003IY-QY
	for submit <at> debbugs.gnu.org; Fri, 08 Feb 2013 12:07:38 -0500
Received: from userp1040.oracle.com ([156.151.31.81]:39460)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <drew.adams@HIDDEN>) id 1U3rQF-0003IO-1r
	for 13649 <at> debbugs.gnu.org; Fri, 08 Feb 2013 12:07:36 -0500
Received: from acsinet22.oracle.com (acsinet22.oracle.com [141.146.126.238])
	by userp1040.oracle.com (Sentrion-MTA-4.3.1/Sentrion-MTA-4.3.1) with
	ESMTP id r18H7T3Z011454
	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK);
	Fri, 8 Feb 2013 17:07:30 GMT
Received: from acsmt357.oracle.com (acsmt357.oracle.com [141.146.40.157])
	by acsinet22.oracle.com (8.14.4+Sun/8.14.4) with ESMTP id
	r18H7Rnd003051
	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO);
	Fri, 8 Feb 2013 17:07:28 GMT
Received: from abhmt115.oracle.com (abhmt115.oracle.com [141.146.116.67])
	by acsmt357.oracle.com (8.12.11.20060308/8.12.11) with ESMTP id
	r18H7R9b022689; Fri, 8 Feb 2013 11:07:27 -0600
Received: from dradamslap1 (/10.159.230.71)
	by default (Oracle Beehive Gateway v4.0)
	with ESMTP ; Fri, 08 Feb 2013 09:07:27 -0800
From: "Drew Adams" <drew.adams@HIDDEN>
To: "'Stefan Monnier'" <monnier@HIDDEN>,
	"'Eli Zaretskii'" <eliz@HIDDEN>
References: <871ucsjdl1.fsf@HIDDEN>
	<87liazyzz6.fsf@HIDDEN><83a9re9azb.fsf@HIDDEN>
	<jwvmwve94jy.fsf-monnier+emacs@HIDDEN><83zjze7prs.fsf@HIDDEN>
	<jwvvca27nes.fsf-monnier+emacs@HIDDEN>
Subject: RE: bug#13649: boobytrapped dired-do-async-shell-command question
Date: Fri, 8 Feb 2013 09:07:24 -0800
Message-ID: <127D7E310FA14A2B86F529FB540D111D@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain;
	charset="us-ascii"
Content-Transfer-Encoding: 7bit
X-Mailer: Microsoft Office Outlook 11
In-Reply-To: <jwvvca27nes.fsf-monnier+emacs@HIDDEN>
Thread-Index: Ac4GHcie22yj2wQlSUqkLRreVEONZwAAB+DA
X-MimeOLE: Produced By Microsoft MimeOLE V6.00.2900.6157
X-Source-IP: acsinet22.oracle.com [141.146.126.238]
X-Spam-Score: -1.5 (-)
X-Debbugs-Envelope-To: 13649
Cc: 13649 <at> debbugs.gnu.org, jidanni@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -4.2 (----)

> > I doubt that your minibuffer-only frames are only 1 line high.
> 
> And yet, they are.
> 
> > It's not like I suggested a 10,000-character prompt or something.
> 
> But indeed, they're longer than 80 columns (they're 250 columns long,
> tho most of it is off the screen, actually displayed is 
> probably closer to 160).

FWIW, by default the minibuffer frame in oneonone.el is 100% of the display
width and is 2 chars high.  For me, with a `frame-char-width' of 8, that's 160
chars wide.

160 * 2 = 320, which is not very different from Stefan's 250.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#13649; Package emacs. Full text available.

Message received at 13649 <at> debbugs.gnu.org:


Received: (at 13649) by debbugs.gnu.org; 8 Feb 2013 16:59:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 08 11:59:55 2013
Received: from localhost ([127.0.0.1]:44493 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1U3rIp-00035r-IP
	for submit <at> debbugs.gnu.org; Fri, 08 Feb 2013 11:59:55 -0500
Received: from ironport2-out.teksavvy.com ([206.248.154.182]:4348)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <monnier@HIDDEN>) id 1U3rIo-00035l-7u
	for 13649 <at> debbugs.gnu.org; Fri, 08 Feb 2013 11:59:54 -0500
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: Av4EABK/CFFFpZnt/2dsb2JhbABEvw4Xc4IeAQEEAVYjBQsLNBIUGA0kiB4GwS2RCgOIYZwZgV6DFQ
X-IPAS-Result: Av4EABK/CFFFpZnt/2dsb2JhbABEvw4Xc4IeAQEEAVYjBQsLNBIUGA0kiB4GwS2RCgOIYZwZgV6DFQ
X-IronPort-AV: E=Sophos;i="4.84,565,1355115600"; 
   d="scan'208";a="781930"
Received: from 69-165-153-237.dsl.teksavvy.com (HELO pastel.home)
	([69.165.153.237])
	by ironport2-out.teksavvy.com with ESMTP/TLS/ADH-AES256-SHA;
	08 Feb 2013 11:59:48 -0500
Received: by pastel.home (Postfix, from userid 20848)
	id D444A5919F; Fri,  8 Feb 2013 11:59:48 -0500 (EST)
From: Stefan Monnier <monnier@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#13649: boobytrapped dired-do-async-shell-command question
Message-ID: <jwvvca27nes.fsf-monnier+emacs@HIDDEN>
References: <871ucsjdl1.fsf@HIDDEN> <87liazyzz6.fsf@HIDDEN>
	<83a9re9azb.fsf@HIDDEN> <jwvmwve94jy.fsf-monnier+emacs@HIDDEN>
	<83zjze7prs.fsf@HIDDEN>
Date: Fri, 08 Feb 2013 11:59:48 -0500
In-Reply-To: <83zjze7prs.fsf@HIDDEN> (Eli Zaretskii's message of "Fri, 08 Feb
	2013 18:07:35 +0200")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 13649
Cc: juri@HIDDEN, 13649 <at> debbugs.gnu.org, jidanni@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.9 (-)

> I doubt that your minibuffer-only frames are only 1 line high.

And yet, they are.

> It's not like I suggested a 10,000-character prompt or something.

But indeed, they're longer than 80 columns (they're 250 columns long,
tho most of it is off the screen, actually displayed is probably closer
to 160).


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#13649; Package emacs. Full text available.

Message received at 13649 <at> debbugs.gnu.org:


Received: (at 13649) by debbugs.gnu.org; 8 Feb 2013 16:34:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 08 11:34:03 2013
Received: from localhost ([127.0.0.1]:44472 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1U3qtn-0002WH-2n
	for submit <at> debbugs.gnu.org; Fri, 08 Feb 2013 11:34:03 -0500
Received: from userp1040.oracle.com ([156.151.31.81]:18281)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <drew.adams@HIDDEN>) id 1U3qtk-0002Vs-Cg
	for 13649 <at> debbugs.gnu.org; Fri, 08 Feb 2013 11:34:01 -0500
Received: from ucsinet22.oracle.com (ucsinet22.oracle.com [156.151.31.94])
	by userp1040.oracle.com (Sentrion-MTA-4.3.1/Sentrion-MTA-4.3.1) with
	ESMTP id r18GXsHB002684
	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK);
	Fri, 8 Feb 2013 16:33:55 GMT
Received: from acsmt358.oracle.com (acsmt358.oracle.com [141.146.40.158])
	by ucsinet22.oracle.com (8.14.4+Sun/8.14.4) with ESMTP id
	r18GXr15024648
	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO);
	Fri, 8 Feb 2013 16:33:53 GMT
Received: from abhmt119.oracle.com (abhmt119.oracle.com [141.146.116.71])
	by acsmt358.oracle.com (8.12.11.20060308/8.12.11) with ESMTP id
	r18GXqMp011134; Fri, 8 Feb 2013 10:33:52 -0600
Received: from dradamslap1 (/10.159.230.71)
	by default (Oracle Beehive Gateway v4.0)
	with ESMTP ; Fri, 08 Feb 2013 08:33:52 -0800
From: "Drew Adams" <drew.adams@HIDDEN>
To: "'Stefan Monnier'" <monnier@HIDDEN>,
	"'Eli Zaretskii'" <eliz@HIDDEN>
References: <871ucsjdl1.fsf@HIDDEN>
	<87liazyzz6.fsf@HIDDEN><83a9re9azb.fsf@HIDDEN>
	<jwvmwve94jy.fsf-monnier+emacs@HIDDEN>
Subject: RE: bug#13649: boobytrapped dired-do-async-shell-command question
Date: Fri, 8 Feb 2013 08:33:49 -0800
Message-ID: <6AD441F39CDD42FF993AD73D538507F0@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain;
	charset="us-ascii"
Content-Transfer-Encoding: 7bit
X-Mailer: Microsoft Office Outlook 11
In-Reply-To: <jwvmwve94jy.fsf-monnier+emacs@HIDDEN>
Thread-Index: Ac4GFe/xkguWOzp0QBa3Ct3sK/tDBAAA1gWA
X-MimeOLE: Produced By Microsoft MimeOLE V6.00.2900.6157
X-Source-IP: ucsinet22.oracle.com [156.151.31.94]
X-Spam-Score: -1.5 (-)
X-Debbugs-Envelope-To: 13649
Cc: 13649 <at> debbugs.gnu.org, jidanni@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -4.2 (----)

> > The minibuffer is perfectly capable of displaying 
> > multi-line prompts.
> 
> Not mine, because it doesn't know how to grow a minibuffer-only frame.

I assume that your point is not to assume that users have a minibuffer that can
grow.

But just in case you are also interested in growing a standalone minibuffer, see
`1on1-fit-minibuffer' here:
http://www.emacswiki.org/emacs-en/download/oneonone.el

I add it to `post-command-hook':
(if (and 1on1-fit-minibuffer-frame-flag (require 'fit-frame nil t))
    (add-hook 'post-command-hook '1on1-fit-minibuffer-frame)
  (remove-hook 'post-command-hook '1on1-fit-minibuffer-frame))





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#13649; Package emacs. Full text available.

Message received at 13649 <at> debbugs.gnu.org:


Received: (at 13649) by debbugs.gnu.org; 8 Feb 2013 16:07:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 08 11:07:43 2013
Received: from localhost ([127.0.0.1]:44437 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1U3qUJ-0001t0-6P
	for submit <at> debbugs.gnu.org; Fri, 08 Feb 2013 11:07:43 -0500
Received: from mtaout22.012.net.il ([80.179.55.172]:34560)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <eliz@HIDDEN>) id 1U3qUH-0001st-1Q
	for 13649 <at> debbugs.gnu.org; Fri, 08 Feb 2013 11:07:41 -0500
Received: from conversion-daemon.a-mtaout22.012.net.il by
	a-mtaout22.012.net.il (HyperSendmail v2007.08) id
	<0MHW00M00SOD5S00@HIDDEN> for
	13649 <at> debbugs.gnu.org; Fri, 08 Feb 2013 18:07:35 +0200 (IST)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout22.012.net.il
	(HyperSendmail v2007.08) with ESMTPA id
	<0MHW00L07SSNX490@HIDDEN>;
	Fri, 08 Feb 2013 18:07:35 +0200 (IST)
Date: Fri, 08 Feb 2013 18:07:35 +0200
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#13649: boobytrapped dired-do-async-shell-command question
In-reply-to: <jwvmwve94jy.fsf-monnier+emacs@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Stefan Monnier <monnier@HIDDEN>
Message-id: <83zjze7prs.fsf@HIDDEN>
References: <871ucsjdl1.fsf@HIDDEN> <87liazyzz6.fsf@HIDDEN>
	<83a9re9azb.fsf@HIDDEN> <jwvmwve94jy.fsf-monnier+emacs@HIDDEN>
X-Spam-Score: -1.2 (-)
X-Debbugs-Envelope-To: 13649
Cc: juri@HIDDEN, 13649 <at> debbugs.gnu.org, jidanni@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.2 (-)

> From: Stefan Monnier <monnier@HIDDEN>
> Cc: Juri Linkov <juri@HIDDEN>,  13649 <at> debbugs.gnu.org,  jidanni@HIDDEN
> Date: Fri, 08 Feb 2013 11:03:23 -0500
> 
> > The minibuffer is perfectly capable of displaying multi-line prompts.
> 
> Not mine, because it doesn't know how to grow a minibuffer-only frame.

I doubt that your minibuffer-only frames are only 1 line high.  It's
not like I suggested a 10,000-character prompt or something.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#13649; Package emacs. Full text available.

Message received at 13649 <at> debbugs.gnu.org:


Received: (at 13649) by debbugs.gnu.org; 8 Feb 2013 16:03:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 08 11:03:30 2013
Received: from localhost ([127.0.0.1]:44433 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1U3qQE-0001nA-BQ
	for submit <at> debbugs.gnu.org; Fri, 08 Feb 2013 11:03:30 -0500
Received: from ironport2-out.teksavvy.com ([206.248.154.182]:61317)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <monnier@HIDDEN>) id 1U3qQC-0001n4-Qt
	for 13649 <at> debbugs.gnu.org; Fri, 08 Feb 2013 11:03:29 -0500
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: Av4EABK/CFFFpZnt/2dsb2JhbABEvw4Xc4IeAQEEAVYjBQsLNBIUGA0kiB4GwS2RCgOIYZwZgV6DFQ
X-IPAS-Result: Av4EABK/CFFFpZnt/2dsb2JhbABEvw4Xc4IeAQEEAVYjBQsLNBIUGA0kiB4GwS2RCgOIYZwZgV6DFQ
X-IronPort-AV: E=Sophos;i="4.84,565,1355115600"; 
   d="scan'208";a="775421"
Received: from 69-165-153-237.dsl.teksavvy.com (HELO pastel.home)
	([69.165.153.237])
	by ironport2-out.teksavvy.com with ESMTP/TLS/ADH-AES256-SHA;
	08 Feb 2013 11:03:24 -0500
Received: by pastel.home (Postfix, from userid 20848)
	id 000195919F; Fri,  8 Feb 2013 11:03:23 -0500 (EST)
From: Stefan Monnier <monnier@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#13649: boobytrapped dired-do-async-shell-command question
Message-ID: <jwvmwve94jy.fsf-monnier+emacs@HIDDEN>
References: <871ucsjdl1.fsf@HIDDEN> <87liazyzz6.fsf@HIDDEN>
	<83a9re9azb.fsf@HIDDEN>
Date: Fri, 08 Feb 2013 11:03:23 -0500
In-Reply-To: <83a9re9azb.fsf@HIDDEN> (Eli Zaretskii's message of "Fri, 08 Feb
	2013 15:44:08 +0200")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 13649
Cc: Juri Linkov <juri@HIDDEN>, 13649 <at> debbugs.gnu.org, jidanni@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.9 (-)

> The minibuffer is perfectly capable of displaying multi-line prompts.

Not mine, because it doesn't know how to grow a minibuffer-only frame.


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#13649; Package emacs. Full text available.

Message received at 13649 <at> debbugs.gnu.org:


Received: (at 13649) by debbugs.gnu.org; 8 Feb 2013 15:11:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 08 10:11:45 2013
Received: from localhost ([127.0.0.1]:44366 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1U3pc9-0000Yl-Ak
	for submit <at> debbugs.gnu.org; Fri, 08 Feb 2013 10:11:45 -0500
Received: from ironport2-out.teksavvy.com ([206.248.154.182]:36791)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <monnier@HIDDEN>) id 1U3pc7-0000Ye-LX
	for 13649 <at> debbugs.gnu.org; Fri, 08 Feb 2013 10:11:43 -0500
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: Av4EABK/CFFFpZnt/2dsb2JhbABEvw4Xc4IeAQEEAVYjBQsLNBIUGA0kiB4GwS2RCgOIYZwZgV6DFQ
X-IPAS-Result: Av4EABK/CFFFpZnt/2dsb2JhbABEvw4Xc4IeAQEEAVYjBQsLNBIUGA0kiB4GwS2RCgOIYZwZgV6DFQ
X-IronPort-AV: E=Sophos;i="4.84,565,1355115600"; 
   d="scan'208";a="770844"
Received: from 69-165-153-237.dsl.teksavvy.com (HELO pastel.home)
	([69.165.153.237])
	by ironport2-out.teksavvy.com with ESMTP/TLS/ADH-AES256-SHA;
	08 Feb 2013 10:11:39 -0500
Received: by pastel.home (Postfix, from userid 20848)
	id 0C74759042; Fri,  8 Feb 2013 10:11:38 -0500 (EST)
From: Stefan Monnier <monnier@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
Subject: Re: bug#13649: boobytrapped dired-do-async-shell-command question
Message-ID: <jwvmwvealkx.fsf-monnier+emacs@HIDDEN>
References: <871ucsjdl1.fsf@HIDDEN> <87liazyzz6.fsf@HIDDEN>
Date: Fri, 08 Feb 2013 10:11:38 -0500
In-Reply-To: <87liazyzz6.fsf@HIDDEN> (Juri Linkov's message of "Fri,
	08 Feb 2013 10:25:01 +0200")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.8 (/)
X-Debbugs-Envelope-To: 13649
Cc: 13649 <at> debbugs.gnu.org, jidanni@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -0.5 (/)

>> A command is running in the default buffer.  Use a new buffer? (yes or no)
>> Which is a boobytrapped question, as picking "no" will always end up
>> in failure...
> Ah, to you "no" means "don't use a new buffer"?  Yes, this is too ambiguous.
> A better question would be:

>   A command is running in the default buffer.  Run in a new buffer?
>     (yes or no)

I think it's got the same problem.  I think the question should be more
something like:

  A command is running in the default buffer.  Kill it or use a new buffer?

with C-g being the answer for "don't use a new buffer and don't kill it".


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#13649; Package emacs. Full text available.

Message received at 13649 <at> debbugs.gnu.org:


Received: (at 13649) by debbugs.gnu.org; 8 Feb 2013 13:44:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 08 08:44:21 2013
Received: from localhost ([127.0.0.1]:43095 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1U3oFZ-0006lb-Df
	for submit <at> debbugs.gnu.org; Fri, 08 Feb 2013 08:44:21 -0500
Received: from mtaout20.012.net.il ([80.179.55.166]:60731)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <eliz@HIDDEN>) id 1U3oFU-0006lP-96
	for 13649 <at> debbugs.gnu.org; Fri, 08 Feb 2013 08:44:18 -0500
Received: from conversion-daemon.a-mtaout20.012.net.il by
	a-mtaout20.012.net.il (HyperSendmail v2007.08) id
	<0MHW00K00LIBP000@HIDDEN> for
	13649 <at> debbugs.gnu.org; Fri, 08 Feb 2013 15:43:49 +0200 (IST)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout20.012.net.il
	(HyperSendmail v2007.08) with ESMTPA id
	<0MHW00K32M50RF10@HIDDEN>;
	Fri, 08 Feb 2013 15:43:49 +0200 (IST)
Date: Fri, 08 Feb 2013 15:44:08 +0200
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#13649: boobytrapped dired-do-async-shell-command question
In-reply-to: <87liazyzz6.fsf@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Juri Linkov <juri@HIDDEN>
Message-id: <83a9re9azb.fsf@HIDDEN>
References: <871ucsjdl1.fsf@HIDDEN> <87liazyzz6.fsf@HIDDEN>
X-Spam-Score: 1.5 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
	has
	identified this incoming email as possible spam. The original message
	has been attached to this so you can view it (if it isn't spam) or
	label similar future email.  If you have any questions, see
	the administrator of that system for details.
	Content preview:  > From: Juri Linkov <juri@HIDDEN> > Date: Fri,
	08 Feb 2013
	10:25:01 +0200 > Cc: 13649 <at> debbugs.gnu.org > > > A command is running
	in
	the default buffer. Use a new buffer? (yes or no) > > > > Which is a
	boobytrapped
	question, as picking "no" will always end up in failure... > > Ah,
	to you "no" means "don't use a new buffer"? Yes,
	this is too ambiguous. > A better
	question would be: > > A command is running in the default buffer. Run
	in a new buffer? (yes or no) [...] 
	Content analysis details:   (1.5 points, 10.0 required)
	pts rule name              description
	---- ----------------------
	--------------------------------------------------
	-0.0 RCVD_IN_DNSWL_NONE RBL: Sender listed at http://www.dnswl.org/,
	no trust [80.179.55.166 listed in list.dnswl.org]
	0.7 SPF_SOFTFAIL SPF: sender does not match SPF record (softfail)
	0.8 BAYES_50               BODY: Bayes spam probability is 40 to 60%
	[score: 0.4984]
X-Debbugs-Envelope-To: 13649
Cc: 13649 <at> debbugs.gnu.org, jidanni@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: 0.7 (/)

> From: Juri Linkov <juri@HIDDEN>
> Date: Fri, 08 Feb 2013 10:25:01 +0200
> Cc: 13649 <at> debbugs.gnu.org
> 
> > A command is running in the default buffer.  Use a new buffer? (yes or no)
> >
> > Which is a boobytrapped question, as picking "no" will always end up in failure...
> 
> Ah, to you "no" means "don't use a new buffer"?  Yes, this is too ambiguous.
> A better question would be:
> 
>   A command is running in the default buffer.  Run in a new buffer? (yes or no)

Still not clear, IMO (what "default buffer"? run what?).  How about

  Shell output buffer is used by another command; run this command in a new buffer (yes or no)?

> 77 characters long, but I have no idea how to make it shorter
> without much loss of meaning.

I think we should try making it crystal clear and not worry too much
about its length.  The minibuffer is perfectly capable of displaying
multi-line prompts.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#13649; Package emacs. Full text available.

Message received at 13649 <at> debbugs.gnu.org:


Received: (at 13649) by debbugs.gnu.org; 8 Feb 2013 08:25:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 08 03:25:56 2013
Received: from localhost ([127.0.0.1]:42836 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1U3jHP-00049g-Ft
	for submit <at> debbugs.gnu.org; Fri, 08 Feb 2013 03:25:55 -0500
Received: from ps18281.dreamhost.com ([69.163.218.105]:58574
	helo=ps18281.dreamhostps.com)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <juri@HIDDEN>) id 1U3jHM-00049W-Ic
	for 13649 <at> debbugs.gnu.org; Fri, 08 Feb 2013 03:25:53 -0500
Received: from localhost (ps18281.dreamhostps.com [69.163.218.105])
	by ps18281.dreamhostps.com (Postfix) with ESMTP id 931B1201AFC00C;
	Fri,  8 Feb 2013 00:25:49 -0800 (PST)
From: Juri Linkov <juri@HIDDEN>
To: jidanni@HIDDEN
Subject: Re: bug#13649: boobytrapped dired-do-async-shell-command question
Organization: JURTA
References: <871ucsjdl1.fsf@HIDDEN>
Date: Fri, 08 Feb 2013 10:25:01 +0200
In-Reply-To: <871ucsjdl1.fsf@HIDDEN> (jidanni@HIDDEN's message of
	"Fri, 08 Feb 2013 00:25:30 +0800")
Message-ID: <87liazyzz6.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.8 (/)
X-Debbugs-Envelope-To: 13649
Cc: 13649 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: 0.8 (/)

> A command is running in the default buffer.  Use a new buffer? (yes or no)
>
> Which is a boobytrapped question, as picking "no" will always end up in failure...

Ah, to you "no" means "don't use a new buffer"?  Yes, this is too ambiguous.
A better question would be:

  A command is running in the default buffer.  Run in a new buffer? (yes or no)

77 characters long, but I have no idea how to make it shorter
without much loss of meaning.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#13649; Package emacs. Full text available.

Message received at 13649 <at> debbugs.gnu.org:


Received: (at 13649) by debbugs.gnu.org; 7 Feb 2013 17:13:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Feb 07 12:13:17 2013
Received: from localhost ([127.0.0.1]:42271 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1U3V2C-0004WU-Nf
	for submit <at> debbugs.gnu.org; Thu, 07 Feb 2013 12:13:17 -0500
Received: from caiajhbdcaib.dreamhost.com ([208.97.132.81]:52463
	helo=homiemail-a2.g.dreamhost.com)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <jidanni@HIDDEN>) id 1U3V26-0004WG-Jh
	for 13649 <at> debbugs.gnu.org; Thu, 07 Feb 2013 12:13:14 -0500
Received: from homiemail-a2.g.dreamhost.com (localhost [127.0.0.1])
	by homiemail-a2.g.dreamhost.com (Postfix) with ESMTP id D587128007A;
	Thu,  7 Feb 2013 09:11:46 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed; d=jidanni.org; h=from:to:cc
	:subject:references:date:message-id:mime-version:content-type;
	s=jidanni.org; bh=6lrKdRxXHwupoWOG2fripjEpZrA=; b=HXsF6XKeZtNr9
	WisKDhrPvlkyG6Ia+AL6pDBfWpYH5QPlS05gwJCszwo8n7seJMmhTBZFsgvQVG56
	yia+vD1u/NJdAnoo5YNJNQIBqzO5i9TwOTc7hFUYgPVFaPYZ9u9U3PTztSMfhBJV
	UzZCBKXKs1rTwTCamuW2h9kx6cSY18=
Received: from jidanni.org (36-234-2-185.dynamic-ip.hinet.net [36.234.2.185])
	(using TLSv1 with cipher DHE-RSA-AES128-SHA (128/128 bits))
	(No client certificate requested)
	(Authenticated sender: jidanni@HIDDEN)
	by homiemail-a2.g.dreamhost.com (Postfix) with ESMTPSA id 901F4280078; 
	Thu,  7 Feb 2013 09:11:46 -0800 (PST)
From: jidanni@HIDDEN
To: monnier@HIDDEN
Subject: Re: bug#13649: boobytrapped dired-do-async-shell-command question
References: <jwvfw18cb3d.fsf-monnier+emacs@HIDDEN>
Date: Fri, 08 Feb 2013 01:11:44 +0800
Message-ID: <87vca4hwvj.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.8 (/)
X-Debbugs-Envelope-To: 13649
Cc: 13649 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.9 (-)

>>>>> "SM" == Stefan Monnier <monnier@HIDDEN> writes:

SM> Maybe a better fix is to add a message afterwards, along the lines of
SM> "Haha!  Gotcha!"

Or play them the Step Off video
http://www.youtube.com/watch?v=-_g7CZJMnJA&list=PL3A8BC534123C8364




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#13649; Package emacs. Full text available.

Message received at 13649 <at> debbugs.gnu.org:


Received: (at 13649) by debbugs.gnu.org; 7 Feb 2013 17:03:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Feb 07 12:03:04 2013
Received: from localhost ([127.0.0.1]:42265 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1U3UsK-0004Iw-IE
	for submit <at> debbugs.gnu.org; Thu, 07 Feb 2013 12:03:04 -0500
Received: from chene.dit.umontreal.ca ([132.204.246.20]:53816)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <monnier@HIDDEN>) id 1U3UsJ-0004In-21
	for 13649 <at> debbugs.gnu.org; Thu, 07 Feb 2013 12:03:03 -0500
Received: from faina.iro.umontreal.ca (lechon.iro.umontreal.ca
	[132.204.27.242])
	by chene.dit.umontreal.ca (8.14.1/8.14.1) with ESMTP id r17H1d4R012511; 
	Thu, 7 Feb 2013 12:01:39 -0500
Received: by faina.iro.umontreal.ca (Postfix, from userid 20848)
	id 6D924B4030; Thu,  7 Feb 2013 12:01:39 -0500 (EST)
From: Stefan Monnier <monnier@HIDDEN>
To: jidanni@HIDDEN
Subject: Re: bug#13649: boobytrapped dired-do-async-shell-command question
Message-ID: <jwvfw18cb3d.fsf-monnier+emacs@HIDDEN>
References: <871ucsjdl1.fsf@HIDDEN>
Date: Thu, 07 Feb 2013 12:01:39 -0500
In-Reply-To: <871ucsjdl1.fsf@HIDDEN> (jidanni@HIDDEN's message of
	"Fri, 08 Feb 2013 00:25:30 +0800")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-NAI-Spam-Flag: NO
X-NAI-Spam-Threshold: 5
X-NAI-Spam-Score: 0
X-NAI-Spam-Rules: 1 Rules triggered
	RV4485=0
X-NAI-Spam-Version: 2.2.0.9309 : core <4485> : streams <902229> : uri <1339315>
X-Spam-Score: -1.6 (-)
X-Debbugs-Envelope-To: 13649
Cc: 13649 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -3.5 (---)

> & runs the command dired-do-async-shell-command, which is an
> interactive autoloaded compiled Lisp function in `dired-aux.el'.

> It sometimes will ask
> A command is running in the default buffer.  Use a new buffer? (yes or no)

> Which is a boobytrapped question, as picking "no" will always end up
> in failure...

> So perhaps rewrite it so one knows there is only one good choice if one
> wants to proceed...

Maybe a better fix is to add a message afterwards, along the lines of
"Haha!  Gotcha!"


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#13649; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 7 Feb 2013 16:27:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Feb 07 11:27:15 2013
Received: from localhost ([127.0.0.1]:42222 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1U3UJe-0001dp-IW
	for submit <at> debbugs.gnu.org; Thu, 07 Feb 2013 11:27:15 -0500
Received: from eggs.gnu.org ([208.118.235.92]:37706)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <jidanni@HIDDEN>) id 1U3UJb-0001dh-DX
	for submit <at> debbugs.gnu.org; Thu, 07 Feb 2013 11:27:12 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <jidanni@HIDDEN>) id 1U3UIB-0003zK-Qf
	for submit <at> debbugs.gnu.org; Thu, 07 Feb 2013 11:25:48 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-101.9 required=5.0 tests=BAYES_00, RCVD_IN_DNSWL_NONE,
	T_DKIM_INVALID,USER_IN_WHITELIST autolearn=unavailable version=3.3.2
Received: from lists.gnu.org ([208.118.235.17]:56790)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <jidanni@HIDDEN>) id 1U3UIB-0003zE-MV
	for submit <at> debbugs.gnu.org; Thu, 07 Feb 2013 11:25:43 -0500
Received: from eggs.gnu.org ([208.118.235.92]:49016)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <jidanni@HIDDEN>) id 1U3UI6-0004ca-8Y
	for bug-gnu-emacs@HIDDEN; Thu, 07 Feb 2013 11:25:43 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <jidanni@HIDDEN>) id 1U3UI5-0003xy-5A
	for bug-gnu-emacs@HIDDEN; Thu, 07 Feb 2013 11:25:38 -0500
Received: from caiajhbdcbhh.dreamhost.com ([208.97.132.177]:59313
	helo=homiemail-a1.g.dreamhost.com)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <jidanni@HIDDEN>) id 1U3UI4-0003wk-Rs
	for bug-gnu-emacs@HIDDEN; Thu, 07 Feb 2013 11:25:37 -0500
Received: from homiemail-a1.g.dreamhost.com (localhost [127.0.0.1])
	by homiemail-a1.g.dreamhost.com (Postfix) with ESMTP id 2B242348070
	for <bug-gnu-emacs@HIDDEN>; Thu,  7 Feb 2013 08:25:35 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed; d=jidanni.org; h=from:to
	:subject:date:message-id:mime-version:content-type; s=
	jidanni.org; bh=lTVF/qBerqOurOdXCwXT1XwE6aM=; b=Jnme901lCljxDyS+
	23CFXsM3J9j4WbvRGP+JmOr8wTuQI244d/fHZv5GYLvrOe2Ht/pxAq54C0/g/GII
	m16Bt+IY16WCv1Hy/YljNW/qqVhNZViNDac6HgltCPhM+OxrBwodRs8/X4iDp7xf
	O5tq4eqGNe09lXmm3ddLTjXw6nk=
Received: from jidanni.org (36-234-2-185.dynamic-ip.hinet.net [36.234.2.185])
	(using TLSv1 with cipher DHE-RSA-AES128-SHA (128/128 bits))
	(No client certificate requested)
	(Authenticated sender: jidanni@HIDDEN)
	by homiemail-a1.g.dreamhost.com (Postfix) with ESMTPSA id E340734806C
	for <bug-gnu-emacs@HIDDEN>; Thu,  7 Feb 2013 08:25:34 -0800 (PST)
From: jidanni@HIDDEN
To: bug-gnu-emacs@HIDDEN
Subject: boobytrapped dired-do-async-shell-command question
Date: Fri, 08 Feb 2013 00:25:30 +0800
Message-ID: <871ucsjdl1.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 208.118.235.17
X-Spam-Score: -4.2 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -5.0 (-----)

& runs the command dired-do-async-shell-command, which is an
interactive autoloaded compiled Lisp function in `dired-aux.el'.

It sometimes will ask
A command is running in the default buffer.  Use a new buffer? (yes or no)

Which is a boobytrapped question, as picking "no" will always end up in failure...

So perhaps rewrite it so one knows there is only one good choice if one
wants to proceed...




Acknowledgement sent to jidanni@HIDDEN:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#13649; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 31 Oct 2014 17:00:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.